"""
@author: luojunhui
"""
import json
import requests
import time

from concurrent.futures.thread import ThreadPoolExecutor

list_data = {
    "text_list_a": ["凯旋", "毛泽东", "周恩来"],
    "text_list_b": ["胜利", "毛主席", "周总理"]
}

body1 = {
    "data": {
        "text_a": "毛主席",
        "text_b": "毛泽东"
    },
    "function": "similarities"
}

body2 = {
    "data": list_data,
    "function": "similarities_cross"
}

body3 = {
    "data": list_data,
    "function": "similarities_cross_max"
}

body4 = {
    "data": {
        "text_list_a": ["牛逼", "毛泽东", "王一博"],
        "text_list_b": ["肖战", "邓小平", "绝了", "蒋介石"],
        "score_list_b": [100, 1000, 500, 40],
        "symbol": 1,
    },
    "function": "similarities_cross_avg"
}

body5 = {
    "data": list_data,
    "function": "similarities_cross_mean"
}

body6 = {
    "data": {
        "text_list_a": [
            "保姆为300万拆迁款，嫁给大24岁老头，丈夫去世后，她发现房产证没有丈夫名字",
            "保姆为300万拆迁款，嫁给大24岁老头，丈夫去世后，她发现房产证没有丈夫名字",
            "保姆为300万拆迁款，嫁给大24岁老头，丈夫去世后，她发现房产证没有丈夫名字",
            "保姆为300万拆迁款，嫁给大24岁老头，丈夫去世后，她发现房产证没有丈夫名字",
            "保姆为300万拆迁款，嫁给大24岁老头，丈夫去世后，她发现房产证没有丈夫名字",
            "保姆为300万拆迁款，嫁给大24岁老头，丈夫去世后，她发现房产证没有丈夫名字",
            "保姆为300万拆迁款，嫁给大24岁老头，丈夫去世后，她发现房产证没有丈夫名字",
            "保姆为300万拆迁款，嫁给大24岁老头，丈夫去世后，她发现房产证没有丈夫名字",
            "保姆为300万拆迁款，嫁给大24岁老头，丈夫去世后，她发现房产证没有丈夫名字",
            "保姆为300万拆迁款，嫁给大24岁老头，丈夫去世后，她发现房产证没有丈夫名字"
        ],
        "text_list_b": [
            "邯郸三名杀害同学的初中生承担刑事责任后，受害人家属能否还能要求赔偿死亡赔偿金？",
            "北大女教授腰疼，手术7天后去世，调查后，丈夫发现了真实的死因",
            "丈夫一个月换了6个保姆，妻子让表妹假装保姆观察，真相被揭露",
            "中国最美的女将军：上世纪曾家喻户晓，如今依然健在",
            "局势一夜变天！中国邻国新总理上台，对华态度曝光，中方回应来了",
            "开国少将携妻衣锦还乡，发现童养媳已苦等22年，他的决定让人泪目",
            "7岁女孩把4岁弟弟投入水井，男孩撑着井口哭喊：奶奶，奶奶……",
            "父亲去部队看望儿子：让你们军长出来见我！军长：不认识这老头",
            "被捡来的儿子考上清华被亲生父母认领那一刻说的话，让养父哭了",
            "27年零绯闻！她因姜文爆红，51岁依旧清纯如初，怎能不叫人爱的女神？",
            "普京告别哈尔滨后，回到家做的第一件事，让很多人都感到意外",
            "日本公开全球军事实力，中国排名令人意外，印度直呼不敢相信",
            "祖孙三代娶同一个女子，本以为是荒诞的笑话，没想到却是真实故事",
            "谈判再度“破裂”？我国或需关闭大使馆？外交部紧急提醒中囯公民：切勿前往",
            "国家一级演员李雪健：全中国最“贵”演员，40年拿33个影帝，曾因演得太像遭人“白眼”，现在怎样了？",
            "辽宁一酒厂挖出“棺材板”，工人觉得晦气，厂长趴在地上闻了闻：咱们挖到宝了！",
            "她曾贪国家上百亿，被发现时已经移居美国，如今钱花完了吗？",
            "局势突变！美国下任总统即将确定？迎来第一位“女总统候选人”，拜登蹦跶不起来了",
            "四面八方都在投降，连俄军都无法相信，战争已接近尾声了吗",
            "5岁娃娃商场打碎800元香水，外婆怒扇一耳光，没想到意外发生，12年来从不看望外婆",
            "25岁小伙娶60岁老太，18年后老太却哭着求离婚，真相让人泪目",
            "难以置信！陕西一女子18万买二手奔驰，维修时却发现车门内藏了数百万古董宝藏",
            "河南女子抚养继子13年，继子因公牺牲后，拿到80万补偿，亲生母亲得知消息，跑来说“这80万是我的！”",
            "中美局势逆转！中国亮出“大杀器”，美军骑虎难下，紧急叫停",
            "演员周里京：妻子残忍遇害成一生之痛，二婚娶小10岁娇妻找回幸福",
            "43岁男子月薪23000，出差半年回到家，刚抱住妻子，屋里突然传来一句话，男子瞬间懵了",
            "福建一夫妇收养女弃婴，25年后养女带男友回家，父母惊讶：这是我亲生儿子",
            "中国出手太快！重磅消息传出，汪文斌新身份不一般，美输的太彻底",
            "儿子每月给母亲六千，母亲去世剩六块，儿子好奇，翻看记录后哭了！",
            "中国的朋友已现身，非美国日本，外交部发声：必须抗争！",
            "绝不让俄罗斯孤军奋战，5国联合出动，北约这回知道怕了",
            "63岁大爷退休金13000，再婚娶37岁女护士，新婚当晚，他看到她的肚子，瞬间晕倒在地",
            "北京老太打扫房间不小心弄破墙皮，发现墙里有字，专家看后大惊：这屋子住过大人物",
            "好消息！铁路部门规定！65岁以上老人乘坐火车和高铁，可以享受这些福利！",
            "美国终极底牌曝光，中国吓出冷汗，外界恍然大悟真相内幕",
            "人老两个坎，熬过就长寿！两坎是指哪两年？老年人千万注意",
            "美国终极底牌曝光，中国吓出冷汗，外界恍然大悟真相内幕",
            "善恶终有报？晚年有了儿子的王刚本以为可以安度晚年，但如今的情况却让人感叹",
            "国家一级演员王二妮：22岁凭《星光大道》走红，10年前放弃百万年薪嫁给农村丈夫，如今的她怎样了",
            "国家一级演员陈宝国：娶初恋赵奎娥，结婚40年宠妻如宝，如今儿子成最大“心事”",
            "中国对韩警告不到24小时，韩方驱逐中国大使，中方终于忍不住出手了！",
            "狂过头了！又一国对中俄“下战书”，这次不是美国，属实让人意外",
            "毕姥爷人生跌宕起伏，一朝酒后失言引万丈深渊，如今64岁隐居农村寻找生活的意义",
            "易中天对退休人的忠告，看了才没白活！无数人收藏，受益无穷......",
            "27岁弟弟结婚，我给30000，我上了个厕所，无意中听到弟弟和母亲的对话，我哭着拉起老公就走！",
            "当不成总统了？拜登也没想到，63岁奥巴马忽然现身，信号不一般",
            "58岁大姐晚上脑溢血去世，医生惋惜：就算再饿，也尽量别吃这3物",
            "中国一钉子户，补贴多少钱都不拆，专家进屋看后：可拆不得",
            "河南一夫妇捡到外国女弃婴，如今长成这样，堪称“埃及艳后”，其一番话令人泪目",
            "印度“靠山”终于浮出水面？我国被骗了几十年！曾与我们称兄道弟",
            "最新消息！普京妥协了？拉夫罗夫宣布爆炸性消息，一番话信号明显",
            "他是我党第二任最高领导人，36岁英勇就义，妻子任全国妇联副主席",
            "62岁大妈午饭后猝死，提醒：饭后尽量避开这3件事，很多老人还在做",
            "11岁女孩裤子沾了血迹，同学们笑话她，爸爸一番话，让人敬佩",
            "向国人报喜！中国成功收回1500平方公里领土 该国将投入中国怀抱",
            "中方担忧一幕发生了！“真正敌人”已浮出水面，中方做好最坏准备",
            "果然没让中方失望！一夜之间，关键国家倒向中国，美图划注定失败"
        ],
        "score_list_b": [
            1665,
            2446,
            2235,
            880,
            1885,
            1264,
            2042,
            2007,
            2884,
            763,
            923,
            1602,
            658,
            1460,
            657,
            1197,
            1381,
            866,
            1470,
            2074,
            3703,
            772,
            3187,
            788,
            590,
            3274,
            2594,
            1344,
            3201,
            634,
            707,
            2912,
            1544,
            1922,
            1485,
            1501,
            543,
            1785,
            530,
            738,
            1633,
            2673,
            854,
            564,
            3291,
            1109,
            1563,
            1896,
            1848,
            1314,
            869,
            524,
            4948,
            3455,
            1577,
            1307,
            1160
        ],
        "symbol": 1
    },
    "function": "similarities_cross_avg"
}


def test_request(url):
    headers = {"Content-Type": "application/json"}
    a = time.time()
    response = requests.post(url=url, headers=headers, json=body6)
    b = time.time()
    print(json.dumps(response.json(), ensure_ascii=False, indent=4))
    print(b - a)


url_list = ["http://192.168.100.31:6061/nlp"]
test_request(url_list[0])
# with ThreadPoolExecutor(max_workers=3) as Pool:
#     Pool.map(test_request, url_list)
